<template>
  <div class="row">
    <div id="post-content" class="md-col-12 thumbnail">
    <div class="caption">
    <h3>{{ post.title }}</h3>
    <p v-html="post.content"></p>
    <hr />
    </div>
   </div>
   <comment-create 
     :post_id="post._id">
   </comment-create>
     <comment-list
       :post_id="post._id">
     </comment-list>
  </div>
</template>

<script>
import CommentList from './comment/CommentList.vue'
import CommentCreate from './comment/CommentCreate.vue'
import Post from './Post'

export default {
  name: 'PostDetail',
  components: {
    CommentList,
    CommentCreate,
    Post
  },
  data () {
    return {
      post: ''
    }
  },
  methods: {
    getPostDetail (date, slug) {
      this.$http.get(`blog/post/${date}/${slug}`)
      .then(response => {
        this.post = response.body
        this.$store.commit('setComments', this.post.comments)
      }, error => {
        console.log(error)
      })
    }
  },
  created () {
    this.getPostDetail(this.$route.params.date, this.$route.params.slug)
  }
}
</script>

<style scooped>
</style>
